@import "src/assets/sass/variables"

*
  margin: 0px
  padding: 0px
  box-sizing: border-box

body, html
  height: 100%
  background: $background-login

/*---------------------------------------------

.btn
  border-radius: 0 !important

a
  font-size: 14px
  line-height: 1.7
  color: #666666
  margin: 0px
  transition: all 0.4s
  -webkit-transition: all 0.4s
  -o-transition: all 0.4s
  -moz-transition: all 0.4s

  &:focus
    outline: none !important

  &:hover
    text-decoration: none
    color: #333333

.bg-login
  background-color: #536a7d
  padding: 0.725rem 0
  border-radius: 2px 2px 0 0

.card-body
  min-height: 18.75rem !important

.btn-login
  font-size: 1rem !important
  padding: 0.725rem 0
  color: $primary-color-link-active
  border-radius: 3px !important
  background-color: #28aade
  border-color: #28aade
  border-bottom: 2px solid #218bb6

.btn-login:hover
  color: $primary-color-link-active
  background-color: #259ccc
  border-color: #259ccc
/*---------------------------------------------

h1, h2, h3, h4, h5, h6
  margin: 0px

p
  font-size: 14px
  line-height: 1.7
  color: #666666
  margin: 0px

ul, li
  margin: 0px
  list-style-type: none

/*---------------------------------------------

input
  outline: none
  border: 1px solid #807f7f

textarea
  outline: none
  border: none

  &:focus
    border-color: transparent !important

input:focus
  border-color: transparent !important

  &::-webkit-input-placeholder, &:-moz-placeholder, &::-moz-placeholder, &:-ms-input-placeholder
    color: transparent

textarea:focus
  &::-webkit-input-placeholder, &:-moz-placeholder, &::-moz-placeholder, &:-ms-input-placeholder
    color: transparent

input
  &::-webkit-input-placeholder, &:-moz-placeholder, &::-moz-placeholder, &:-ms-input-placeholder
    color: #adadad

textarea
  &::-webkit-input-placeholder, &:-moz-placeholder, &::-moz-placeholder, &:-ms-input-placeholder
    color: #adadad

/*---------------------------------------------

button
  outline: none !important
  border: none
  background: transparent

  &:hover
    cursor: pointer

iframe
  border: none !important

/*//////////////////////////////////////////////////////////////////
 *[ Utility ]

.txt1
  font-family: Poppins-Regular
  font-size: 15px
  color: #999999
  line-height: 1.5

.txt2
  font-family: Poppins-Regular
  font-size: 15px
  color: #57b846
  line-height: 1.5

/*//////////////////////////////////////////////////////////////////
 *[ login ]

.limiter
  width: 100%
  margin: 0 auto

.container-login100
  width: 100%
  min-height: 100vh
  display: -webkit-box
  display: -webkit-flex
  display: -moz-box
  display: -ms-flexbox
  display: flex
  flex-wrap: wrap
  justify-content: center
  align-items: center
  padding: 15px
  background: $background-login

.wrap-login100
  width: 390px
  background: #ffffff
  border-radius: 3px

/*------------------------------------------------------------------
 *[ Form ]

.login100-form
  width: 100%

.login100-form-title
  display: block
  font-family: Poppins-Bold
  font-size: 39px
  color: #333333
  line-height: 1.2
  text-align: center

.login100-form-avatar
  display: block
  width: 120px
  height: 120px
  border-radius: 50%
  overflow: hidden
  margin: 0 auto

  img
    width: 100%

/*------------------------------------------------------------------
 *[ Input ]

.wrap-input100
  width: 100%
  position: relative
  border-bottom: 2px solid #d9d9d9

.input100
  font-size: 13px
  display: block
  width: 100%
  height: 45px
  background: #fff
  padding: 0 3px
  border-radius: 3px
  border: 1px solid #535252

  &:hover
    border: 2px solid #4DCCFF

  &:focus
    background: rgba($primary-color-hover, 0.1)
    border: 2px solid #4DCCFF

/*---------------------------------------------

.focus-input100
  display: block
  width: 100%
  height: 100%
  top: 0
  left: 0
  pointer-events: none

  &::before
    content: ""
    display: block
    position: absolute
    bottom: -2px
    left: 0
    width: 0
    height: 2px
    -webkit-transition: all 0.4s
    -o-transition: all 0.4s
    -moz-transition: all 0.4s
    transition: all 0.4s
    background: #57b846

  &::after
    font-family: Poppins-Medium
    font-size: 18px
    color: #999999
    line-height: 1.2
    content: attr(data-placeholder)
    display: block
    width: 100%
    position: absolute
    top: 15px
    left: 0px
    padding-left: 5px
    -webkit-transition: all 0.4s
    -o-transition: all 0.4s
    -moz-transition: all 0.4s
    transition: all 0.4s

.input100:focus + .focus-input100, .has-val.input100 + .focus-input100
  &::after
    top: -20px
    font-size: 15px

  &::before
    width: 100%

/*------------------------------------------------------------------
 *[ Button ]

.container-login100-form-btn
  width: 100%
  display: -webkit-box
  display: -webkit-flex
  display: -moz-box
  display: -ms-flexbox
  display: flex
  flex-wrap: wrap
  justify-content: center

.login100-form-btn
  font-family: Poppins-Medium
  font-size: 16px
  color: #fff
  line-height: 1.2
  text-transform: uppercase
  display: -webkit-box
  display: -webkit-flex
  display: -moz-box
  display: -ms-flexbox
  display: flex
  justify-content: center
  align-items: center
  padding: 0 20px
  width: 100%
  height: 50px
  background-color: #57b846
  border-radius: 25px
  box-shadow: 0 10px 30px 0px rgba(87, 184, 70, 0.5)
  -moz-box-shadow: 0 10px 30px 0px rgba(87, 184, 70, 0.5)
  -webkit-box-shadow: 0 10px 30px 0px rgba(87, 184, 70, 0.5)
  -o-box-shadow: 0 10px 30px 0px rgba(87, 184, 70, 0.5)
  -ms-box-shadow: 0 10px 30px 0px rgba(87, 184, 70, 0.5)
  -webkit-transition: all 0.4s
  -o-transition: all 0.4s
  -moz-transition: all 0.4s
  transition: all 0.4s

  &:hover
    background-color: #333333
    box-shadow: 0 10px 30px 0px rgba(51, 51, 51, 0.5)
    -moz-box-shadow: 0 10px 30px 0px rgba(51, 51, 51, 0.5)
    -webkit-box-shadow: 0 10px 30px 0px rgba(51, 51, 51, 0.5)
    -o-box-shadow: 0 10px 30px 0px rgba(51, 51, 51, 0.5)
    -ms-box-shadow: 0 10px 30px 0px rgba(51, 51, 51, 0.5)

/*------------------------------------------------------------------
 *[ Alert validate ]

.validate-input
  position: relative

.alert-validate
  &::before
    content: attr(data-validate)
    position: absolute
    max-width: 70%
    background-color: #fff
    border: 1px solid #c80000
    border-radius: 2px
    padding: 4px 25px 4px 10px
    top: 50%
    -webkit-transform: translateY(-50%)
    -moz-transform: translateY(-50%)
    -ms-transform: translateY(-50%)
    -o-transform: translateY(-50%)
    transform: translateY(-50%)
    right: 0px
    pointer-events: none
    font-family: Poppins-Regular
    color: #c80000
    font-size: 13px
    line-height: 1.4
    text-align: left
    visibility: hidden
    opacity: 0
    -webkit-transition: opacity 0.4s
    -o-transition: opacity 0.4s
    -moz-transition: opacity 0.4s
    transition: opacity 0.4s

  &::after
    content: "\f06a"
    font-family: FontAwesome
    font-size: 16px
    color: #c80000
    display: block
    position: absolute
    background-color: #fff
    top: 50%
    -webkit-transform: translateY(-50%)
    -moz-transform: translateY(-50%)
    -ms-transform: translateY(-50%)
    -o-transform: translateY(-50%)
    transform: translateY(-50%)
    right: 5px

  &:hover:before
    visibility: visible
    opacity: 1

@media (max-width: 992px)
  .alert-validate::before
    visibility: visible
    opacity: 1

/*//////////////////////////////////////////////////////////////////
 *[ Login more ]

.login-more li
  position: relative
  padding-left: 16px

  &::before
    content: ""
    display: block
    position: absolute
    width: 5px
    height: 5px
    border-radius: 50%
    background-color: #cccccc
    top: 45%
    -webkit-transform: translateY(-50%)
    -moz-transform: translateY(-50%)
    -ms-transform: translateY(-50%)
    -o-transform: translateY(-50%)
    transform: translateY(-50%)
    left: 0

.form-floating
  fa-icon
    position: absolute
    top: 20px
    right: 20px
    cursor: pointer
